Unit tde57e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FFKDE57E_p, FFGDE57E_p, FFRDE57E_p, DE57E_p;

function tde57e: String;

implementation

function tde57e: String;
var
NX,NXM1,I,IERR :Integer;
XN,XK,H,X,GN,GK :Extended;
GN1,GK1 :Boolean;
ALP :Array [0..313] of Extended;
BET :Array [0..313] of Extended;
Y :Array [0..314] of Extended;
YT :Array [0..314] of Extended;
label
_100,_20;
begin
Result := '';  {   }
NX := 315;
XN := 0.e0;
XK := 3.1415926535897932e0/2.e0;
GN1 := True;
GN := 0.e0;
GK1 := True;
GK := 2.e0;
DE57E(FFKDE57E,FFGDE57E,FFRDE57E,NX,XN,XK,GN1,GN,GK1,GK,Y,ALP,BET,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%2d ',[IERR]) + #$0D#$0A;
NXM1 := NX-1;
H := (XK-XN)/(NXM1);
X := XN-H;
for I:=1 to NX do
 begin
  X := X+H;
  YT[I-1] := 2.0*Sin(X);
_100:
 end;
Result := Result + Format('%s',[' XN=']);
Result := Result + Format('%20.16f ',[XN]);
Result := Result + Format('%s',['  XK=']);
Result := Result + Format('%20.16f ',[XK]);
Result := Result + Format('%s',['  NX=']);
Result := Result + Format('%5d ',[NX]) + #$0D#$0A;
for I:=1 to NX do
 begin
  Result := Result + Format('%20.16f %20.16f ',
 [Y[I-1],YT[I-1]]) + #$0D#$0A;
_20:
 end;
UtRes('tde57e',Result);  {     tde57e.res }
exit;
end;

end.
